Use an updated version of Chromium for the developer options.

Right now, you're using 109.0.5414.120 for your developer options, This may have fatal security flaws and make Overwolf unsecure for hackers. This version was released January 28, 2023. That is over a year old. All I'm requesting is update it to 123.0.6312.123 or later.

  • Guest
  • Apr 16 2024
  • Shipped
  • Attach files
  • Admin
    Team Overwolf commented
    16 Apr 07:43am

    Thanks for your feedback and your care ❤.
    Our latest version is getting an update for Chromium (CEF) Overwolf version 0.248.120.19